[Forgot Password]
Login  Register Subscribe

23631

 
 

115038

 
 

96174

 
 

909

 
 

78077

 
 

109

Paid content will be excluded from the download.


Download | Alert*
CVE
view XML

CVE-2008-3547

Date: (C)2009-03-10   (M)2017-08-08
 
CVSS Score: 9.0Access Vector: NETWORK
Exploitability Subscore: 8.0Access Complexity: LOW
Impact Subscore: 10.0Authentication: SINGLE_INSTANCE
 Confidentiality: COMPLETE
 Integrity: COMPLETE
 Availability: COMPLETE











Buffer overflow in the server in OpenTTD 0.6.1 and earlier allows remote authenticated users to cause a denial of service (persistent game disruption) or possibly execute arbitrary code via vectors involving many long names for "companies and clients."

Reference:
SECUNIA-34161
GLSA-200903-09
http://marc.info/?l=oss-security&m=121787604812284&w=2
http://marc.info/?l=oss-security&m=121797672406282&w=2
http://marc.info/?l=oss-security&m=121814230706576&w=2
http://bugs.debian.org/493714
http://bugs.gentoo.org/show_bug.cgi?id=233929
http://sourceforge.net/project/shownotes.php?release_id=617243
openttd-companies-clients-bo(49221)

CPE    13
cpe:/a:openttd:openttd:0.5.0
cpe:/a:openttd:openttd:0.5.2
cpe:/a:openttd:openttd:0.5.1
cpe:/a:openttd:openttd:0.3.6
...
CWE    1
CWE-119

© 2013 SecPod Technologies